#ifndef BOOM_H
#define BOOM_H

/* Like a regular stone but its pieces also break other stones

   Copyright (C) 2010 Maxime Gamboni. See COPYING for
   copying/warranty info. */


#include "stone.h"

class Boom : public Stone {
 public:

  Boom(unsigned int id);
  ~Boom();

  void render();

  bool trigger(Littlecube *b);

  void update(double t, Level *lvl);

 private:

  double now;
  double snow;
};

#endif
